# MathquillRails

Brings the Mathquill JS library to rails through integration with the asset pipeline.
The gem includes the development (non-minified) source for ease of exploration. The asset pipeline will minify in production.

## Installation

This gem requires the asset pipeline...I've only tested it on Rails 4+, but it should work on 3.1+ as well.

Add this line to your application's Gemfile:

```ruby
gem 'mathquill_rails'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mathquill_rails

## Usage - All Pages

Add the following directive to your Javascript manifest file (application.js):

    //= require mathquill

Add the following directive to your Stylesheet manifest file (application.css):

    *= require mathquill

## Usage - Specific Pages

Add the following to the head portion of any pages you want to include mathquill:

    javascript_include_tag "mathquill"

Add the following to the head portion of any pages you want to include mathquill:

    stylesheet_link_tag "mathquill"